services:
  access_check.eck_entity.add:
    class: Drupal\eck\Access\EckEntityCreateAccessCheck
    arguments: ['@entity_type.manager']
    tags:
      - { name: access_check, applies_to: _eck_entity_create_access }
  eck.entity_type.bundle.info:
    class: Drupal\eck\EckEntityTypeBundleInfo
    arguments: ['@entity_type.manager', '@language_manager', '@module_handler', '@typed_data_manager', '@cache.discovery']
  eck.admin_path.route_subscriber:
    class: Drupal\eck\EventSubscriber\EckEntityAdminRouteSubscriber
    arguments: ['@config.factory']
    tags:
      - { name: event_subscriber }

  eck.entity.entity_update_service:
    class: Drupal\eck\EntityUpdateService
    arguments:
      - '@entity.definition_update_manager'
      - '@entity.last_installed_schema.repository'
      - '@entity_type.manager'
      - '@entity_type.listener'
      - '@entity_field.manager'
      - '@field_storage_definition.listener'
